Subject: [request] Add "--preserve-setuid" to the chown command

From: William Di Luigi <[email-masked]>
Date: Mon, 1 Feb 2016 03:33:29 +0100

Hi,
if I understand it correctly, chown clears the setuid bit for security
reasons (since, when changing the owner or group for a file, you could
potentially be allowing *new people* to run that file as root).

While this is good for security, sometimes you want to be able to
preserve the setuid bit. For example, when packaging software
(https://bbs.archlinux.org/viewtopic.php?pid=1600551)

What do you think about adding a "--preserve-setuid" optional flag?

Regards,
William